# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc
import warnings

from py_lab_hal.proto.cominterface import aqvisa_pb2 as py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2

GRPC_GENERATED_VERSION = '1.64.1'
GRPC_VERSION = grpc.__version__
EXPECTED_ERROR_RELEASE = '1.65.0'
SCHEDULED_RELEASE_DATE = 'June 25, 2024'
_version_not_supported = False

try:
    from grpc._utilities import first_version_is_lower
    _version_not_supported = first_version_is_lower(GRPC_VERSION, GRPC_GENERATED_VERSION)
except ImportError:
    _version_not_supported = True

if _version_not_supported:
    warnings.warn(
        f'The grpc package installed is at version {GRPC_VERSION},'
        + f' but the generated code in py_lab_hal/proto/cominterface/aqvisa_pb2_grpc.py depends on'
        + f' grpcio>={GRPC_GENERATED_VERSION}.'
        + f' Please upgrade your grpc module to grpcio>={GRPC_GENERATED_VERSION}'
        + f' or downgrade your generated code using grpcio-tools<={GRPC_VERSION}.'
        + f' This warning will become an error in {EXPECTED_ERROR_RELEASE},'
        + f' scheduled for release on {SCHEDULED_RELEASE_DATE}.',
        RuntimeWarning
    )


class AqVISAStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.ViWrite = channel.unary_unary(
                '/aqvisa.AqVISA/ViWrite',
                request_serializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViWriteRequest.SerializeToString,
                response_deserializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViWriteResponse.FromString,
                _registered_method=True)
        self.ViRead = channel.unary_unary(
                '/aqvisa.AqVISA/ViRead',
                request_serializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViReadRequest.SerializeToString,
                response_deserializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViReadResponse.FromString,
                _registered_method=True)
        self.ViGetCommandResult = channel.unary_unary(
                '/aqvisa.AqVISA/ViGetCommandResult',
                request_serializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViGetCommandResultRequest.SerializeToString,
                response_deserializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViGetCommandResultResponse.FromString,
                _registered_method=True)


class AqVISAServicer(object):
    """Missing associated documentation comment in .proto file."""

    def ViWrite(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ViRead(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ViGetCommandResult(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_AqVISAServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'ViWrite': grpc.unary_unary_rpc_method_handler(
                    servicer.ViWrite,
                    request_deserializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViWriteRequest.FromString,
                    response_serializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViWriteResponse.SerializeToString,
            ),
            'ViRead': grpc.unary_unary_rpc_method_handler(
                    servicer.ViRead,
                    request_deserializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViReadRequest.FromString,
                    response_serializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViReadResponse.SerializeToString,
            ),
            'ViGetCommandResult': grpc.unary_unary_rpc_method_handler(
                    servicer.ViGetCommandResult,
                    request_deserializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViGetCommandResultRequest.FromString,
                    response_serializer=py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViGetCommandResultResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'aqvisa.AqVISA', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))
    server.add_registered_method_handlers('aqvisa.AqVISA', rpc_method_handlers)


 # This class is part of an EXPERIMENTAL API.
class AqVISA(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def ViWrite(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(
            request,
            target,
            '/aqvisa.AqVISA/ViWrite',
            py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViWriteRequest.SerializeToString,
            py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViWriteResponse.FromString,
            options,
            channel_credentials,
            insecure,
            call_credentials,
            compression,
            wait_for_ready,
            timeout,
            metadata,
            _registered_method=True)

    @staticmethod
    def ViRead(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(
            request,
            target,
            '/aqvisa.AqVISA/ViRead',
            py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViReadRequest.SerializeToString,
            py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViReadResponse.FromString,
            options,
            channel_credentials,
            insecure,
            call_credentials,
            compression,
            wait_for_ready,
            timeout,
            metadata,
            _registered_method=True)

    @staticmethod
    def ViGetCommandResult(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(
            request,
            target,
            '/aqvisa.AqVISA/ViGetCommandResult',
            py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViGetCommandResultRequest.SerializeToString,
            py__lab__hal_dot_proto_dot_cominterface_dot_aqvisa__pb2.ViGetCommandResultResponse.FromString,
            options,
            channel_credentials,
            insecure,
            call_credentials,
            compression,
            wait_for_ready,
            timeout,
            metadata,
            _registered_method=True)
